//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vhudson-jaxb-ri-2.2-147 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.03.06 at 12:22:27 AM EET 
//


package org.xbrl._int.gl.bus._2016_12_01;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlID;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for reportingCalendarPeriodComplexType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="reportingCalendarPeriodComplexType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://www.xbrl.org/int/gl/bus/2016-12-01}periodIdentifier" minOccurs="0"/>
 *         &lt;element ref="{http://www.xbrl.org/int/gl/bus/2016-12-01}periodDescription" minOccurs="0"/>
 *         &lt;element ref="{http://www.xbrl.org/int/gl/bus/2016-12-01}periodStart" minOccurs="0"/>
 *         &lt;element ref="{http://www.xbrl.org/int/gl/bus/2016-12-01}periodEnd" minOccurs="0"/>
 *         &lt;element ref="{http://www.xbrl.org/int/gl/bus/2016-12-01}periodClosedDate" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "reportingCalendarPeriodComplexType", propOrder = {
    "periodIdentifier",
    "periodDescription",
    "periodStart",
    "periodEnd",
    "periodClosedDate"
})
public class ReportingCalendarPeriodComplexType {

    @XmlElement(nillable = true)
    protected PeriodIdentifierItemType periodIdentifier;
    @XmlElement(nillable = true)
    protected PeriodDescriptionItemType periodDescription;
    @XmlElement(nillable = true)
    protected PeriodStartItemType periodStart;
    @XmlElement(nillable = true)
    protected PeriodEndItemType periodEnd;
    @XmlElement(nillable = true)
    protected PeriodClosedDateItemType periodClosedDate;
    @XmlAttribute(name = "id")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlID
    @XmlSchemaType(name = "ID")
    protected String id;

    /**
     * Gets the value of the periodIdentifier property.
     * 
     * @return
     *     possible object is
     *     {@link PeriodIdentifierItemType }
     *     
     */
    public PeriodIdentifierItemType getPeriodIdentifier() {
        return periodIdentifier;
    }

    /**
     * Sets the value of the periodIdentifier property.
     * 
     * @param value
     *     allowed object is
     *     {@link PeriodIdentifierItemType }
     *     
     */
    public void setPeriodIdentifier(PeriodIdentifierItemType value) {
        this.periodIdentifier = value;
    }

    /**
     * Gets the value of the periodDescription property.
     * 
     * @return
     *     possible object is
     *     {@link PeriodDescriptionItemType }
     *     
     */
    public PeriodDescriptionItemType getPeriodDescription() {
        return periodDescription;
    }

    /**
     * Sets the value of the periodDescription property.
     * 
     * @param value
     *     allowed object is
     *     {@link PeriodDescriptionItemType }
     *     
     */
    public void setPeriodDescription(PeriodDescriptionItemType value) {
        this.periodDescription = value;
    }

    /**
     * Gets the value of the periodStart property.
     * 
     * @return
     *     possible object is
     *     {@link PeriodStartItemType }
     *     
     */
    public PeriodStartItemType getPeriodStart() {
        return periodStart;
    }

    /**
     * Sets the value of the periodStart property.
     * 
     * @param value
     *     allowed object is
     *     {@link PeriodStartItemType }
     *     
     */
    public void setPeriodStart(PeriodStartItemType value) {
        this.periodStart = value;
    }

    /**
     * Gets the value of the periodEnd property.
     * 
     * @return
     *     possible object is
     *     {@link PeriodEndItemType }
     *     
     */
    public PeriodEndItemType getPeriodEnd() {
        return periodEnd;
    }

    /**
     * Sets the value of the periodEnd property.
     * 
     * @param value
     *     allowed object is
     *     {@link PeriodEndItemType }
     *     
     */
    public void setPeriodEnd(PeriodEndItemType value) {
        this.periodEnd = value;
    }

    /**
     * Gets the value of the periodClosedDate property.
     * 
     * @return
     *     possible object is
     *     {@link PeriodClosedDateItemType }
     *     
     */
    public PeriodClosedDateItemType getPeriodClosedDate() {
        return periodClosedDate;
    }

    /**
     * Sets the value of the periodClosedDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link PeriodClosedDateItemType }
     *     
     */
    public void setPeriodClosedDate(PeriodClosedDateItemType value) {
        this.periodClosedDate = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

}
